- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# CKickButton Class Reference

`#include <vstcontrols.h>`

Inheritance diagram for CKickButton:

List of all members.

## Public Member Functions
| CKickButton (const CRect &size, CControlListener *listener, long tag, CBitmap *background, CPoint &offset)
| CKickButton (const CRect &size, CControlListener *listener, long tag, CCoord heightOfOneImage, CBitmap *background, CPoint &offset)
virtual | ~CKickButton ()
virtual void | draw (CDrawContext *)
| called if the view should draw itself
virtual void | mouse (CDrawContext *pContext, CPoint &where, long button=-1)
| called if a mouse click event occurs
## Protected Attributes
CPoint | offset
CCoord | heightOfOneImage

## Detailed Description

Define a button with 2 states using 2 subpixmaps. One click on it, then the second subpixmap is displayed. When the mouse button is relaxed, the first subpixmap is framed.

## Constructor & Destructor Documentation

CKickButton::CKickButton | ( | const CRect & | size,
|  | CControlListener * | listener,
|  | long | tag,
|  | CBitmap * | background,
|  | CPoint & | offset
| ) |

CKickButton::CKickButton | ( | const CRect & | size,
|  | CControlListener * | listener,
|  | long | tag,
|  | CCoord | heightOfOneImage,
|  | CBitmap * | background,
|  | CPoint & | offset
| ) |

CKickButton::~CKickButton | ( |  | ) | `[virtual]`

## Member Function Documentation

void CKickButton::draw | ( | CDrawContext * |  | ) | `[virtual]`

| called if the view should draw itself Implements CControl.

void CKickButton::mouse | ( | CDrawContext * | pContext,
|  | CPoint & | where,
|  | long | button = `-1`
| ) | `[virtual]`

| called if a mouse click event occurs Reimplemented from CView.

## Member Data Documentation

CCoord CKickButton::heightOfOneImage`[protected]`

CPoint CKickButton::offset`[protected]`

The documentation for this class was generated from the following files:

- vstcontrols.h
- vstcontrols.cpp

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.